Pre Encounter Images V 1 Update
Updates an Image. The path must contain the version being written, which is the object’s current version plus 1 (a create returns version 0, so the first update uses 1). Sending the current version returns 409 Version conflict. Use this to set status to UPLOADED once the file has been PUT to the signed_url from the create.
Authentication
AuthorizationBearer
Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.
Path parameters
id
The unique identifier for an Image
version
Request
This endpoint expects an object.
file_name
display_name
file_type
status
Allowed values:
coverage
An association to a Coverage.
patient
An association to a Patient.
Response
deactivated
True if the object is deactivated. Deactivated objects are not returned in search results but are returned in all other endpoints including scan.
display_name
file_name
file_type
id
The unique identifier for an Image
organization_id
The organization that owns this object.
signed_url
A signed URL to the image. This url can be used to upload an image to GCP storage or to read the image contents.
status
Allowed values:
updated_at
updating_user_id
The user ID of the user who last updated the object.
version
The version of the object. Any update to any property of an object object will create a new version.
coverage
An association to a Coverage.
patient
An association to a Patient.
Errors
404
Not Found Error
409
Conflict Error